Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezpoll/user/userlogin.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: userlogin.php 6225 2001-07-20 11:22:30Z jakobn $
5 //
6 // Created on: <14-Oct-2000 15:41:17 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/INIFile.php" );
28 // include_once( "classes/eztemplate.php" );
29 // include_once( "classes/ezhttptool.php" );
30
31 // include_once( "ezpoll/classes/ezpoll.php" );
32
33 $ini =& eZINI::instance( 'site.ini' );
34
35 $Language = $ini->variable( "eZPollMain", "Language" );
36
37 // include_once( "ezuser/classes/ezuser.php" );
38
39 $poll = new eZPoll( $PollID );
40 if ( !$poll->anonymous() )
41 {
42
43 if ( eZUser::currentUser() )
44 {
45 eZHTTPTool::header( "Location: /poll/vote/$PollID/$ChoiceID/" );
46 }
47 else
48 {
49 $t = new eZTemplate( "kernel/ezpoll/user/" . $ini->variable( "eZPollMain", "TemplateDir" ),
50 "kernel/ezpoll/user/intl/", $Language, "userlogin.php" );
51
52 $t->setAllStrings();
53
54 $t->set_file( array(
55 "user_login_tpl" => "userlogin.tpl"
56 ) );
57
58 $t->set_var( "redirect_url", "/poll/vote/$PollID/$ChoiceID/" );
59
60 $t->pparse( "output", "user_login_tpl" );
61 }
62 }
63 else
64 {
65 eZHTTPTool::header( "Location: /poll/vote/$PollID/$ChoiceID/" );
66 }
67
68 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPoll
Definition: ezpoll.php:64
eZTemplate
Definition: eztemplate.php:107
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$t
foreach( $Modules as $module) if(isset( $ItemInsert)) $t
Definition: classes/admin/linklist.php:168
$poll
$poll
Definition: ezpoll/user/userlogin.php:39
$Language
$Language
Definition: ezpoll/user/userlogin.php:35
$ini
$ini
Definition: ezpoll/user/userlogin.php:33
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.